Launching XChat on Xubuntu 8.10 LiveCD auto-joins #debian

Bug #297886 reported by lifestream on 2008-11-14
4
Affects Status Importance Assigned to Milestone
xchat (Ubuntu)
Undecided
Lionel Le Folgoc

Bug Description

Binary package hint: xchat

XChat 2.8.6

A multiplatform IRC Client

Linux 2.6.27-7-generic [i686/1.00GHz/SMP]
Charset: UTF-8 Renderer: Pango
Compiled: Jul 10 2008

Linux ubuntu 2.6.27-7-generic #1 SMP Fri Oct 24 06:42:44 UTC 2008 i686 GNU/Linux

I'm using Xubuntu Intrepid liveCD, and upon launching XChat, it joins #debian and their irc server (not freenode).
... Why? ;P
I can imagine a newbie getting embarassed when he realizes he is in the wrong channel. Oops.

Related branches

Stuart Prescott (themill) wrote :

We are seeing quite a few users of the xubuntu 8.10 livecd ending up in #debian on oftc:

[17:16] <dakun> im testing my sound, im running live cd of xubuntu 8
[17:16] <dakun> 8.10

[17:17] <themill> dakun: xubuntu is not debian, so you're in the wrong place -- try #ubuntu on irc.freenode.net

[17:17] <dakun> this is the server xchat took me to
[17:17] <dakun> i know ubuntus not debian
[17:18] <themill> dakun: so with the xubuntu live-cd, you end up in #debian by default when you fire up xchat?
[17:19] <dakun> i guess, i just let it connect whatever was selected first

Ubuntu users are generally not welcome in #debian and this is probably not going to change, so we should prevent them ending up there by accident.

sebi (sebastian-schleehauf) wrote :

This does not only apply for the live cd but for a regular install as well. MUST not happen.

Jim Campbell (jwcampbell) wrote :

The user has to open Xchat, and then click "Connect" to be connected to the Debian irc servers (there is an Ubuntu Servers option right below the debian one), so this is not as "automatic" as it initially sounds. It would be great if opening xchat brought the users directly to the #xubuntu channel, but I'm not sure if this is possible.

Lionel, is this something that could be changed via the packaging of xchat for Xubuntu? Per our recent team meeting, you had mentioned the possibility of using xdg config directories to do something similar in pidgin. Again, I'm not sure if this would work.

"<mr_pouit> cody-somerville: ok (if pidgin supports xdg config directories, it should be easy...)."

At a minimum, we should see about the possibility of removing the Debian servers from the list, or moving them to a different spot in the list of available servers. If possible, it would be best if Debian were not the first option in the list.

Changed in xchat:
assignee: nobody → mrpouit
Stuart Prescott (themill) wrote :

Attached: patch to drop into the dpatch patch stack to change the servers that are selected by default from "Debian Servers" to "Ubuntu Servers". This doesn't change the order of the servers, just which one is selected by default.

Note that if a user has already run xchat once before, then the built-in list of servers is no longer used and the settings from ~/.xchat2/servlist_.conf are used instead; in such a situation, Debian Servers would still be the default. However, given the way xchat handles its server list, this is as good as it's going to get.

Please apply before the next lot of Ubuntu converts from the next release accidentally ends up in the wrong irc channel on the wrong network.

Changed in xchat:
status: New → In Progress
Changed in xchat:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xchat - 2.8.6-2.1ubuntu3

---------------
xchat (2.8.6-2.1ubuntu3) jaunty; urgency=low

  * debian/patches/02_ubuntu_default_server.dpatch: select "Ubuntu servers" by
    default. This should limit the number of users accidentally ending up on
    "Debian servers" (LP: #297886). Thanks to Stuart Prescott for the patch!
  * debian/patches/00list: refreshed.

 -- Lionel Le Folgoc <email address hidden> Fri, 27 Feb 2009 22:19:00 +0100

Changed in xchat:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers